Update a Field for a Life Stage Section for a Firm Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/expenditure-structure/field/{lifeStageField_uuid}

Path parameters

  • lifeStageField_uuid string Required

    The uuid of the Life Stage Field.

application/json

Body

  • name string

    The name of the Life Stage Field.

  • life_stage_section_uuid string(uuid) Required

    The uuid of the parent Life Stage Section.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • name string
    • section string
    • created_at string
    • updated_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
PUT /api/v1/expenditure-structure/field/{lifeStageField_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/expenditure-structure/field/dcf0-484e-a0c5-08590fe89a84-f6aa1670' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Electricity","life_stage_section_uuid":"a2482613-9aa2-41f0-82f6-17442c7c3295"}'
Request examples
{
  "name": "Electricity",
  "life_stage_section_uuid": "a2482613-9aa2-41f0-82f6-17442c7c3295"
}
Response examples (200)
[
  {
    "uuid": "626828bd-267d-4de3-baac-2d8e6e18c60c",
    "name": "Electricity",
    "section": "Housekeeping Expenses",
    "created_at": "2026-08-07T15:29:24+01:00",
    "updated_at": "2026-08-07T15:29:24+01:00"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}